Do you need latest verison of iTunes to update to 3.0

imme

New Member
Bronze
Aug 10, 2008
105
0
0
#1
or can i downgrade to any iTunes as long as its iTunes 8?
 

BlindSpoTT

Zealot
Gold
Dec 16, 2008
1,092
0
36
York, PA
#2
it needs to be 8.2 there are two previous versions from the betas. beta 4 and beta 5, i think 5 is the same as the public release. 4 allows you to update the carrier file.
 

imme

New Member
Bronze
Aug 10, 2008
105
0
0
#4
this sucks!
i have the latest version.
updated last night from Apple.
Now when i hit update it says im not connected to the internet!
wtf?!
sooo not cool
 

BlindSpoTT

Zealot
Gold
Dec 16, 2008
1,092
0
36
York, PA
#5
this sucks!
i have the latest version.
updated last night from Apple.
Now when i hit update it says im not connected to the internet!
wtf?!
sooo not cool
try to uninstall it and reinstall it.
 

imme

New Member
Bronze
Aug 10, 2008
105
0
0
#6
that'll take a good 30 mins.
But hey its worth a shot.
Im wondering if anyone can upload theirs to MU or something?
 

BlindSpoTT

Zealot
Gold
Dec 16, 2008
1,092
0
36
York, PA
#7
that'll take a good 30 mins.
But hey its worth a shot.
Im wondering if anyone can upload theirs to MU or something?
or you can just go download the GM, a direct link was posted in the official thread. on page 10 or 11
 

imme

New Member
Bronze
Aug 10, 2008
105
0
0
#8
i have already.
i had never used it because i thought the final release version [today]
would have been different in a way.